php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #11559 charset optional argument doesn't work with sybase_[p]connect
Submitted: 2001-06-19 09:39 UTC Modified: 2001-12-13 14:55 UTC
From: mad at dactar dot ch Assigned:
Status: Closed Package: Sybase-ct (ctlib) related
PHP Version: 4.0.5 OS: HP-UX 10.20
Private report: No CVE-ID: None
 [2001-06-19 09:39 UTC] mad at dactar dot ch
Hellow, here's a new bug for you :P

Short Script : 

<TITLE>Charset Sybase Bug</TITLE>
<?
        $CHARSET="iso_1";
        $DSQUERY="XYZ";
        $USER="xxxxx";
        $PASS="yyyyy";
        $dbh=sybase_connect($DSQUERY,$USER,$PASS,$CHARSET);
        sybase_close($dbh);
?>

Result of the script : 

Warning: Wrong parameter count for sybase_connect() in /PKl01h01/soft/web/site/html/charset.php on line 7

Warning: Supplied argument is not a valid Sybase-Link resource in /PKl01h01/soft/web/site/html/charset.php on line 8


PHP configured with : 

--with-config-file-path=/PKl01h01/soft/web/cfg 
--without-mysql 
--with-sybase-ct=/PKl01hp4/soft/ase11.5.1 
--with-pdflib=/PKl01h01/soft/web 
--with-png-dir=/PKl01h01/soft/web 
--with-ttf=/PKl01h01/soft/web 
--with-jpeg-dir=/PKl01h01/soft/web 
--with-xpm-dir=/PKl01h01/soft/web 
--with-gd 
--prefix=/PKl01h01/soft/web 
--with-apxs=/PKl01h01/soft/web/apache/bin/apxs

Heeeeellllppppp please :)

Thanks for your answer

@++
JC

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-06-20 05:02 UTC] mad at dactar dot ch
Okay, 

I've examined the php source code...and it appears that only php source for sybase db-lib accept the optional charset.

The modification of the source to do for ct-lib seems to be easy, but how can I create a patch ? it's ok if I send you the new php_sybase_ct.c ? or how must I do ?

Thanks for your answer

@++
JC
 [2001-06-20 11:36 UTC] mad at dactar dot ch
Okay, 

I've updated the c source from second patch of bug #11320
and now it works. Can you update your cvs ?

Thanks

@++
JC
 [2001-12-13 14:55 UTC] mad at dactar dot ch
Resolved with 4.1.0. Thanks :)
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Fri Apr 23 03:01:26 2021 UTC